VirtualBox Main API

Public Attributes | List of all members
INATRedirectEvent Interface Reference

Notification when NAT redirect rule added or removed. More...

Inheritance diagram for INATRedirectEvent:

## Public Attributes
readonly attribute unsigned long | slot
| Adapter which NAT attached to.
readonly attribute boolean | remove
| Whether rule remove or add.
readonly attribute wstring | name
| Name of the rule.
readonly attribute NATProtocol | proto
| Protocol (TCP or UDP) of the redirect rule.
readonly attribute wstring | hostIP
| Host IP address to bind socket on.
readonly attribute long | hostPort
| Host port to bind socket on.
readonly attribute wstring | guestIP
| Guest IP address to redirect to.
readonly attribute long | guestPort
| Guest port to redirect to.
Public Attributes inherited from IMachineEvent
readonly attribute wstringUUID | machineId
| ID of the machine this event relates to.
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type.
readonly attribute IEventSource | source
| Source of this event.
readonly attribute boolean | waitable
| If we can wait for this event being processed.

## Additional Inherited Members
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed.
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed.

## Detailed Description

Notification when NAT redirect rule added or removed.

Interface ID:
  `{24EEF068-C380-4510-BC7C-19314A7352F1}`

## Member Data Documentation

## ◆ slot

readonly attribute unsigned long INATRedirectEvent::slot

Adapter which NAT attached to.

## ◆ remove

readonly attribute boolean INATRedirectEvent::remove

Whether rule remove or add.

## ◆ name

readonly attribute wstring INATRedirectEvent::name

Name of the rule.

## ◆ proto

readonly attribute NATProtocol INATRedirectEvent::proto

Protocol (TCP or UDP) of the redirect rule.

## ◆ hostIP

readonly attribute wstring INATRedirectEvent::hostIP

Host IP address to bind socket on.

## ◆ hostPort

readonly attribute long INATRedirectEvent::hostPort

Host port to bind socket on.

## ◆ guestIP

readonly attribute wstring INATRedirectEvent::guestIP

Guest IP address to redirect to.

## ◆ guestPort

readonly attribute long INATRedirectEvent::guestPort

Guest port to redirect to.